Bug 53735 - no sound with rat
no sound with rat
Product: Red Hat Powertools
Classification: Retired
Component: rat (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: bero
Depends On:
  Show dependency treegraph
Reported: 2001-09-17 09:24 EDT by Eric Doutreleau
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-17 10:43:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Doutreleau 2001-09-17 09:24:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [fr] (X11; U; Linux 2.4.3-12 i686)

Description of problem:
when i launch rat i get no sound from rat

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. launch sdr
2. select rat as audio tool

Actual Results:  I see the level of sound moving from the remote end. THat
mean that
rat get some sound. 
but nothing on the speaker

Expected Results:  I should hear something

Additional info:

When i go to the preference of rat in audio menu i only got the 
no audio device choice

In other application the sound is working right
Comment 1 Tim Powers 2001-09-17 10:54:48 EDT
There are two updated packages I would like you to try oout that I had built
some time ago. Please try them out to see if they work properly:


and the sources are here:


Please let me know whether or not these work for you.

Comment 2 Eric Doutreleau 2001-09-18 03:12:57 EDT
i install the new rat package and i have stil the same problem
I have made further test with other program

ksoundrecord work like a charm
but grecord doesn t work complaining there s another application that
use the sounddevice.
But when i launch lsof /dev/dsp there s no result
Comment 3 Tim Powers 2001-09-18 07:21:52 EDT
Pekka, have you experienced this as well? I don't have an IPv6 connection to
test to figure out where the problem may be.

Comment 4 Pekka Savola 2001-09-20 08:33:04 EDT
I have tested rat 4.2.18 on two systems, one worked, the other not.  One had 'no
sound device' in rat options, the other 'OSS: Ensoniq ES1370' (this one works). 
For both, other sound apps like 'xmms' work just fine.

I've put an updated version of rat (it has some sound driver updates) at

Please test that and see if it works.  If not, please tell which sound card do
you have? (e.g. /etc/modules.conf contents, relevant lines from dmesg when the
driver is loaded)
Comment 5 Eric Doutreleau 2001-09-24 06:03:43 EDT
Well i have to rebuild the packages as there was some missing librairies

I upgraded to the 4.2.19 version but still has the same problem.
no device found on the rat option concerning audio

lsmod gives
i810_audio             13872   0  (autoclean)
ac97_codec              8576   0  (autoclean) [i810_audio]
soundcore               3600   2  (autoclean) [i810_audio]

dmesg gives

i810: Intel ICH2 found at IO 0xdc40 and 0xd800, IRQ 10
ac97_codec: AC97 Audio codec, id: 0x4144:0x5360 (Unknown)
i810_audio: setting clocking to 41349

The machine is dell optiplex GX150

Comment 6 Pekka Savola 2001-09-25 09:53:25 EDT
My unworking card is:

00:1f.5 Multimedia audio controller: Intel Corporation: Unknown device 2445 (rev

alias sound-slot-0 i810_audio

i810: Intel ICH2 found at IO 0xef00 and 0xe800, IRQ 9
ac97_codec: AC97 Audio codec, id: 0x4144:0x5360 (Unknown)

Which appears to be identical!

I wonder if this would be fixed when the kernel is updated so that it knows of
the device and the codec.

I'm unable to test new kernels, but if you'd like, I'd recommend testing this
with e.g. linux-2.4.9ac15 from
ftp://ftp.kernel.org/pub/linux/kernel/people/alan/linux-2.4/2.4.9/, it would be
interesting to know
if anything has changed wrt. dmesg/lspci etc.
Comment 7 Eric Doutreleau 2001-09-28 05:19:55 EDT
Well it should work as there s no problem with roswell
The problem is that i have to find a solution with seawolf and
not roswell.
Comment 8 Pekka Savola 2001-09-28 05:28:00 EDT
It works with roswell?  If so, it's the kernel, and that can't be easily fixed
in seawolf; you could
try to grab kernel RPM from roswell, and the other rpms it requires, and try to
install them on seawolf.  It would probably work.
Comment 9 Eric Doutreleau 2001-10-19 11:22:38 EDT

I just update the kernel to 2.4.9 provided in the update section of 7.1
and i still have no sound with rat.

Then it seems not be a problem with kernel but with the distrib.
Comment 10 Bernhard Rosenkraenzer 2002-01-18 12:06:33 EST
Since Powertools has been discontinued, the official fix is the removal of the
package from newer products - sorry about that.

I believe the issue you're seeing is a sound driver problem, though (we've seen
a number of AC97 related problems). You might want to try the 2.4.17-0.2 kernel
from rawhide, it has a couple of related fixes.

Note You need to log in before you can comment on or make changes to this bug.